GET /v3/snapshot/options/{underlyingAsset}

Options Chain Snapshot

Snapshot of the full options chain for an underlying ticker.

Endpoint Details

HTTP Method GET
Path /v3/snapshot/options/{underlyingAsset}
Version v3
Minimum Plan free

Path Parameters

Parameter Required Description Example
underlyingAsset Required The underlying asset ticker (e.g., AAPL for options) AAPL

Query Parameters

Parameter Type Required Description
api_key string Required Your API key for authentication
limit integer Optional Maximum number of results to return
sort string Optional Sort order (asc or desc)

Example Request

curl "https://mail.tradeiqai.com/api/v3/snapshot/options/AAPL?api_key=YOUR_API_KEY"

Note: Replace YOUR_API_KEY with your actual API key.

Response Attributes

Attribute Type Description
okbooleanIndicates if the request was successful (e.g., 1)
dataobjectResponse data object
data.statusstringResponse status (typically "OK") (e.g., OK)
data.resultsobjectArray or object containing the endpoint-specific data
data.results.resultsarrayArray of objects
Array items contain:
data.results.results[].break_even_pricedoubleFloating point number (e.g., 258.775)
data.results.results[].dayobject
data.results.results[].day.propertiesunknown
data.results.results[].detailsobject
data.results.results[].details.propertiesunknown
data.results.results[].greeksarrayEmpty array
data.results.results[].last_quoteobject
data.results.results[].last_quote.propertiesunknown
data.results.results[].last_tradeobject
data.results.results[].last_trade.propertiesunknown
data.results.results[].open_interestintegerInteger (e.g., 0)
data.results.results[].underlying_assetobject
data.results.results[].underlying_asset.propertiesunknown
data.results.statusstringString value (e.g., OK)
data.results.request_idstringString value (e.g., 4eea2849e006cede7b74469e87141497)
data.results.next_urlstringString value (e.g., https://api.tradeiqai.com/v3/snapshot/options/AAPL...)

Example Response

{
    "ok": true,
    "data": {
        "status": "OK",
        "underlying_asset": "AAPL",
        "results": {
            "results": [
                {
                    "break_even_price": 258.7749999999999772626324556767940521240234375,
                    "day": {
                        "close": 72.900000000000005684341886080801486968994140625,
                        "high": 73.0100000000000051159076974727213382720947265625,
                        "last_updated": 1776052800000000000,
                        "low": 72.18000000000000682121026329696178436279296875,
                        "open": 72.81999999999999317878973670303821563720703125,
                        "volume": 178,
                        "vwap": 72.7509000000000014551915228366851806640625
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 185,
                        "ticker": "O:AAPL260413C00185000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 74.900000000000005684341886080801486968994140625,
                        "ask_size": 173,
                        "ask_exchange": 300,
                        "bid": 72.650000000000005684341886080801486968994140625,
                        "bid_size": 166,
                        "bid_exchange": 300,
                        "last_updated": 1776110399639788758,
                        "midpoint": 73.775000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107412817316070,
                        "conditions": [
                            237
                        ],
                        "price": 72.900000000000005684341886080801486968994140625,
                        "size": 1,
                        "exchange": 312,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.564999999999999946709294817992486059665679931640625,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.19999999999998863131622783839702606201171875,
                    "day": {
                        "close": 67.8799999999999954525264911353588104248046875,
                        "high": 68.469999999999998863131622783839702606201171875,
                        "last_updated": 1776052800000000000,
                        "low": 66.5100000000000051159076974727213382720947265625,
                        "open": 68.469999999999998863131622783839702606201171875,
                        "volume": 185,
                        "vwap": 67.725899999999995770849636755883693695068359375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 190,
                        "ticker": "O:AAPL260413C00190000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 70.849999999999994315658113919198513031005859375,
                        "ask_size": 303,
                        "ask_exchange": 300,
                        "bid": 67.5499999999999971578290569595992565155029296875,
                        "bid_size": 304,
                        "bid_exchange": 300,
                        "last_updated": 1776110399736278116,
                        "midpoint": 69.2000000000000028421709430404007434844970703125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776099259266434179,
                        "conditions": [
                            232
                        ],
                        "price": 67.8799999999999954525264911353588104248046875,
                        "size": 3,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.1390000000000000124344978758017532527446746826171875,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.2749999999999772626324556767940521240234375,
                    "day": {
                        "close": 62.7999999999999971578290569595992565155029296875,
                        "high": 63.4500000000000028421709430404007434844970703125,
                        "last_updated": 1776052800000000000,
                        "low": 61.6099999999999994315658113919198513031005859375,
                        "open": 62.75999999999999801048033987171947956085205078125,
                        "volume": 343,
                        "vwap": 62.71079999999999898818714427761733531951904296875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 195,
                        "ticker": "O:AAPL260413C00195000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 65.5,
                        "ask_size": 175,
                        "ask_exchange": 300,
                        "bid": 63.0499999999999971578290569595992565155029296875,
                        "bid_size": 175,
                        "bid_exchange": 300,
                        "last_updated": 1776110399972744389,
                        "midpoint": 64.275000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776099438172595027,
                        "conditions": [
                            232
                        ],
                        "price": 62.7999999999999971578290569595992565155029296875,
                        "size": 5,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.0645000000000000017763568394002504646778106689453125,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 258.8500000000000227373675443232059478759765625,
                    "day": {
                        "close": 57.7999999999999971578290569595992565155029296875,
                        "high": 58.5499999999999971578290569595992565155029296875,
                        "last_updated": 1776052800000000000,
                        "low": 56.00999999999999801048033987171947956085205078125,
                        "open": 57.82000000000000028421709430404007434844970703125,
                        "volume": 629,
                        "vwap": 57.7289999999999992041921359486877918243408203125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 200,
                        "ticker": "O:AAPL260413C00200000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 60,
                        "ask_size": 173,
                        "ask_exchange": 300,
                        "bid": 57.7000000000000028421709430404007434844970703125,
                        "bid_size": 173,
                        "bid_exchange": 300,
                        "last_updated": 1776110399972873152,
                        "midpoint": 58.85000000000000142108547152020037174224853515625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776105194975031415,
                        "conditions": [
                            233
                        ],
                        "price": 57.7999999999999971578290569595992565155029296875,
                        "size": 1,
                        "exchange": 300,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.48899999999999999023003738329862244427204132080078125,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.05000000000001136868377216160297393798828125,
                    "day": {
                        "change": 0.11000000000000000055511151231257827021181583404541015625,
                        "change_percent": 0.2089999999999999913402604079237789846956729888916015625,
                        "close": 52.7999999999999971578290569595992565155029296875,
                        "high": 53.22999999999999687361196265555918216705322265625,
                        "last_updated": 1776052800000000000,
                        "low": 51.25999999999999801048033987171947956085205078125,
                        "open": 53.22999999999999687361196265555918216705322265625,
                        "previous_close": 52.68999999999999772626324556767940521240234375,
                        "volume": 234,
                        "vwap": 52.672899999999998499333742074668407440185546875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 205,
                        "ticker": "O:AAPL260413C00205000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 55.2999999999999971578290569595992565155029296875,
                        "ask_size": 173,
                        "ask_exchange": 300,
                        "bid": 52.7999999999999971578290569595992565155029296875,
                        "bid_size": 173,
                        "bid_exchange": 300,
                        "last_updated": 1776110399972858806,
                        "midpoint": 54.0499999999999971578290569595992565155029296875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107684150328774,
                        "conditions": [
                            233
                        ],
                        "price": 52.7999999999999971578290569595992565155029296875,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 1,
                    "underlying_asset": {
                        "change_to_break_even": -0.288999999999999979127807137047057040035724639892578125,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.2250000000000227373675443232059478759765625,
                    "day": {
                        "change": -1.810000000000000053290705182007513940334320068359375,
                        "change_percent": -3.640000000000000124344978758017532527446746826171875,
                        "close": 47.9500000000000028421709430404007434844970703125,
                        "high": 48.03999999999999914734871708787977695465087890625,
                        "last_updated": 1776052800000000000,
                        "low": 46.56000000000000227373675443232059478759765625,
                        "open": 47.75,
                        "previous_close": 49.75999999999999801048033987171947956085205078125,
                        "volume": 746,
                        "vwap": 47.47189999999999798774297232739627361297607421875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 210,
                        "ticker": "O:AAPL260413C00210000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 50.4500000000000028421709430404007434844970703125,
                        "ask_size": 190,
                        "ask_exchange": 300,
                        "bid": 48,
                        "bid_size": 190,
                        "bid_exchange": 300,
                        "last_updated": 1776110399968979854,
                        "midpoint": 49.22500000000000142108547152020037174224853515625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107684150333793,
                        "conditions": [
                            233
                        ],
                        "price": 47.9500000000000028421709430404007434844970703125,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 50,
                    "underlying_asset": {
                        "change_to_break_even": -0.11400000000000000410782519111307919956743717193603515625,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.17500000000001136868377216160297393798828125,
                    "day": {
                        "close": 42.2999999999999971578290569595992565155029296875,
                        "high": 42.89999999999999857891452847979962825775146484375,
                        "last_updated": 1776052800000000000,
                        "low": 41.46000000000000085265128291212022304534912109375,
                        "open": 42.85000000000000142108547152020037174224853515625,
                        "volume": 660,
                        "vwap": 42.4769000000000005456968210637569427490234375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 215,
                        "ticker": "O:AAPL260413C00215000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 45.25,
                        "ask_size": 223,
                        "ask_exchange": 300,
                        "bid": 43.10000000000000142108547152020037174224853515625,
                        "bid_size": 223,
                        "bid_exchange": 300,
                        "last_updated": 1776110399972802497,
                        "midpoint": 44.1749999999999971578290569595992565155029296875,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776098864679379354,
                        "conditions": [
                            233
                        ],
                        "price": 42.2999999999999971578290569595992565155029296875,
                        "size": 1,
                        "exchange": 301,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.1640000000000000068833827526759705506265163421630859375,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.25,
                    "day": {
                        "close": 38.02000000000000312638803734444081783294677734375,
                        "high": 38.340000000000003410605131648480892181396484375,
                        "last_updated": 1776052800000000000,
                        "low": 36.22999999999999687361196265555918216705322265625,
                        "open": 37.6700000000000017053025658242404460906982421875,
                        "volume": 495,
                        "vwap": 37.516199999999997771737980656325817108154296875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 220,
                        "ticker": "O:AAPL260413C00220000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 40.39999999999999857891452847979962825775146484375,
                        "ask_size": 322,
                        "ask_exchange": 300,
                        "bid": 38.10000000000000142108547152020037174224853515625,
                        "bid_size": 322,
                        "bid_exchange": 300,
                        "last_updated": 1776110399972733748,
                        "midpoint": 39.25,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107550851717016,
                        "conditions": [
                            233
                        ],
                        "price": 38.02000000000000312638803734444081783294677734375,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.0894999999999999962252417162744677625596523284912109375,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.32499999999998863131622783839702606201171875,
                    "day": {
                        "change": -3.479999999999999982236431605997495353221893310546875,
                        "change_percent": -9.550000000000000710542735760100185871124267578125,
                        "close": 32.969999999999998863131622783839702606201171875,
                        "high": 33.49000000000000198951966012828052043914794921875,
                        "last_updated": 1776052800000000000,
                        "low": 31.25,
                        "open": 32.60000000000000142108547152020037174224853515625,
                        "previous_close": 36.4500000000000028421709430404007434844970703125,
                        "volume": 486,
                        "vwap": 32.573700000000002319211489520967006683349609375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 225,
                        "ticker": "O:AAPL260413C00225000"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 35.60000000000000142108547152020037174224853515625,
                        "ask_size": 175,
                        "ask_exchange": 300,
                        "bid": 33.0499999999999971578290569595992565155029296875,
                        "bid_size": 202,
                        "bid_exchange": 300,
                        "last_updated": 1776110399766722328,
                        "midpoint": 34.3250000000000028421709430404007434844970703125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107652552946951,
                        "conditions": [
                            233
                        ],
                        "price": 32.969999999999998863131622783839702606201171875,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 8,
                    "underlying_asset": {
                        "change_to_break_even": -0.01450000000000000073552275381416620803065598011016845703125,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 259.05000000000001136868377216160297393798828125,
                    "day": {
                        "close": 30.589999999999999857891452847979962825775146484375,
                        "high": 30.589999999999999857891452847979962825775146484375,
                        "last_updated": 1776052800000000000,
                        "low": 29.480000000000000426325641456060111522674560546875,
                        "open": 30.14999999999999857891452847979962825775146484375,
                        "volume": 113,
                        "vwap": 29.96000000000000085265128291212022304534912109375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-04-13",
                        "shares_per_contract": 100,
                        "strike_price": 227.5,
                        "ticker": "O:AAPL260413C00227500"
                    },
                    "greeks": [],
                    "last_quote": {
                        "ask": 33.0499999999999971578290569595992565155029296875,
                        "ask_size": 101,
                        "ask_exchange": 300,
                        "bid": 30.050000000000000710542735760100185871124267578125,
                        "bid_size": 214,
                        "bid_exchange": 300,
                        "last_updated": 1776110399508711454,
                        "midpoint": 31.550000000000000710542735760100185871124267578125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1776107652552952052,
                        "conditions": [
                            233
                        ],
                        "price": 30.589999999999999857891452847979962825775146484375,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 0,
                    "underlying_asset": {
                        "change_to_break_even": -0.288999999999999979127807137047057040035724639892578125,
                        "last_updated": 1776124798209737691,
                        "price": 259.33949999999998681232682429254055023193359375,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                }
            ],
            "status": "OK",
            "request_id": "4eea2849e006cede7b74469e87141497",
            "next_url": "https://api.tradeiqai.com/v3/snapshot/options/AAPL?cursor=YXA9TyUzQUFBUEwyNjA0MTNDMDAyMjc1MDAlM0EyMjcuNTAmYXM9JmV4cGlyYXRpb25fZGF0ZS5ndGU9MjAyNi0wNC0xMyZsaW1pdD0xMCZzb3J0PXRpY2tlcg"
        }
    }
}